$( document ).ready(function() {
  $('.select2').select2({
    minimumResultsForSearch: 10
  });
  $('#xConsulta').on("change", function (e) { $('#btnVerResultado').hide(); });
  $('.consultasmenu').select2({
    dropdownCssClass: 'bigdrop',
    minimumResultsForSearch: 10
  });

  $('#conteFiltro').show();
  $('#conteResultado').hide();
});

function doConsultar() {
  switch ($('#xConsulta').val()) {
    case '1':
      estaComprasProductosPeriodos();
    break;
    case '2':
      estaComprasProductosLocales();
    break;
    case '3':
      estaComprasProductosPeriodosTeorico();
    break;
    case '4':
      estaComprasProductosLocalesTeorico();
    break;
    case '5':
      estaComprasLocalesPeriodos();
    break;
    case '6':
      consComprasComprobantesFecha();
    break;
    case '7':
      consComprasComprobantesDetalladosFecha();
    break;
    case '8':
      consComprasComprobantesLocal();
    break;
    case '9':
      consComprasComprobantesDetalladosLocal();
    break;
    case '10':
      consComprasCostosUnitariosInsumosLocales();
    break;
    default:
      $.alert('Seleccione una consulta.');
  }
}

function controlarCompras() {
  if ($("[name=filtroFechaCompras]").length == 0) {
    $.alert('Debe ingresar al menos un per&iacute;odo.');
    return false; 
  }

  return true;
}

function estaComprasProductosPeriodos() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

  	$('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
	  jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-esta-productos-periodos.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
      	     xUnidades        : $.trim($('#listaUnidades').val()),
      	     xConceptos       : $.trim($('#listaConceptosCompra').val()),
      	     xRubros          : $.trim($('#listaRubrosCompra').val()),
      	     xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
    		     sid: Math.random()},
	    dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
	      if (xResponse['success']) {
		      $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Conceptos por Período</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
	      }
	      else {
          $.alert(xResponse['message']); 
	      }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaComprasProductosLocales() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-esta-productos-locales.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });

          $("div.tituloresultado").html('<span class="" id="lblTitulo">Conceptos por Unidad de Negocio</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())}); 
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaComprasProductosPeriodosTeorico() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-esta-productos-periodos-teorico.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Consumo Teórico por Período</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaComprasProductosLocalesTeorico() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-esta-productos-locales-teorico.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });



          $("div.tituloresultado").html('<span class="" id="lblTitulo">Consumo Teórico por Unidad de Negocio</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())}); 
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function estaComprasLocalesPeriodos() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-esta-locales-periodos.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Unidades de Negocio por Período</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

//consComprasComprobantesFecha
function consComprasComprobantesFecha() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-cons-comprobantes-fecha.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes por Fecha</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

//consComprasComprobantesDetalladosFecha
function consComprasComprobantesDetalladosFecha() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-cons-comprobantes-detallados-fecha.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

//consComprasComprobantesLocal
function consComprasComprobantesLocal() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-cons-comprobantes-local.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: false,
            scrollY:'60vh',
            scrollX: true,
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel", },
                          {extend: 'pdfHtml5', text: "PDF", },
                          {extend: 'copyHtml5', text: "Copiar", },
                          {extend: 'print', text: "Imprimir", },
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Comprobantes por Unidad de Negocio</span>');     
          // $('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        
          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

//consComprasComprobantesDetalladosLocal
function consComprasComprobantesDetalladosLocal() {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-cons-comprobantes-detallados-local.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}

function consComprasCostosUnitariosInsumosLocales() {
  $.ajax({
    url: 'get-titulares-seleccion.php',
    type: 'POST',
    data: {xUnidades: $.trim($('#listaUnidades').val())
          },
    dataType: 'json',
    success: function (xResponse) {
      if (xResponse['success']) {
        $('#conteSeleccion').html(xResponse['message']);
        $('#modalSeleccion').modal('show');
      }
      else {
        $.alert(xResponse['message']);
      }
    },
    error: function (xhr, ajaxOptions, thrownError) {
      alert(xhr.responseText);
      return false;
    }
  })
}

function doAceptarSeleccion() {
  xBase = $('#xSeleccion').find(':selected').data('base');
  xTitular = $('#xSeleccion').find(':selected').data('titular');
  $('#modalSeleccion').modal('hide');
  doConsComprasCostosUnitariosInsumosLocales(xBase, xTitular);
}

function doConsComprasCostosUnitariosInsumosLocales(xBase, xTitular) {
  if (controlarCompras()) {
    if ( $.fn.DataTable.isDataTable( '#tablaResultado' ) ) {
      $('#tablaResultado').DataTable().destroy();
      $('#tablaResultado').remove();
    }
    $('#btnConsultas').hide();
    $('#btnConsultar').hide();
    $('#btnTitulo').show();
    $('#btnLimpiarTodo').hide();
    $('#btnFavoritos').hide();
    $('#conteFiltro').hide();
    $('#conteResultado').show();
    $('#btnVerResultado').hide();

    $('#conteTabla').html('<div class="loader"></div><p class="ploader">Cargando...</p>');
    jsonStringPeriodos = filtroPeriodosCompras();

    /*$('#megaBloqueLoader').show();
    $('#btnGuardarRentas').prop( "disabled", true);
    $('#btnVolverRentas').prop( "disabled", true);*/
    $.ajax({
      url: 'ajax-compras-cons-costos-unitarios-productos-locales.php',
      type: 'POST',
      data: {xFecha           : $('#listaTiposFecha').val(),
             xDataPeriodos    : jsonStringPeriodos, 
             xUnidades        : $.trim($('#listaUnidades').val()),
             xConceptos       : $.trim($('#listaConceptosCompra').val()),
             xRubros          : $.trim($('#listaRubrosCompra').val()),
             xComprobantes    : $.trim($('#listaComprobantesCompra').val()),
             xRefBase         : xBase,
             xRefTitular      : xTitular,
             sid: Math.random()},
      dataType: "json",
      cache: false,
      timeout: 2*60*60*1000, 
      success: function (xResponse) {
        if (xResponse['success']) {
          $('#conteTabla').html(xResponse['message']);

          $('#conteFiltro').hide();
          $('#conteResultado').show();
          $('#btnVerResultado').hide();
          $('#btnVerFiltros').show();
          $('#btnFavoritos').show();
          $('#conteGuardar').show();

          $('#tablaResultado').DataTable( {
            fixedHeader: true,
            scrollX: true,
            scrollY:'60vh',
            bAutoWidth: true,
            ordering: false,
            paging: false,
            dom: '<"tituloresultado">frtip'
            /*,
            buttons: [{
                        extend: 'collection', text: '<i style="color: #ffffff;" class="fa fa-save"></i>',
                        buttons: [
                          {extend: 'excelHtml5', text: "Excel"},
                          {extend: 'pdfHtml5', text: "PDF" },
                          {extend: 'copyHtml5', text: "Copiar"},
                          {extend: 'print', text: "Imprimir"},
                        ]}
                     ]*/
          });
          $("div.tituloresultado").html('<span class="" id="lblTitulo">Costos Unitarios - Conceptos por Unidad de Negocio</span>');     
          //$('.dataTables_scrollBody').scroll(function(){$('.display.table.table-striped.table-bordered.sticky-header.dataTable.fixedHeader-floating').css('left',-1 * $(this).scrollLeft())});          
          //$('.dataTables_scrollHead').css('overflow', 'auto');
          $('.dataTables_scrollHead').on('scroll', function () {
            $('.dataTables_scrollBody').scrollLeft($(this).scrollLeft());
          });        

          $('#tablaResultado > thead > tr').css({ 'background-color': "#DB5916", 'color': "aliceblue" });        
          $('#tablaResultado > tbody > tr.subtotales').css({ 'background-color': "#afafaf", 'color': "aliceblue" });        
        }
        else {
          $.alert(xResponse['message']); 
        }
      },
      error: function(xhr, status, error) {
        $.alert(xhr.responseText);
        alert(xhr);
        alert(status);
        alert(error);
      }
    })
  }  
}


function verResultado() {
  $('#conteFiltro').hide();
  $('#conteResultado').show();
  $('#btnVerResultado').hide();
  $('#btnVerFiltros').show();
  $('#btnConsultas').hide();
  $('#btnConsultar').hide();
  $('#btnTitulo').show();
  $('#btnLimpiarTodo').hide();
  $('#conteGuardar').show();
}

function verFiltros() {
  $('#conteFiltro').show();
  $('#conteResultado').hide();
  $('#btnVerResultado').show();
  $('#btnVerFiltros').hide();
  $('#btnConsultas').show();
  $('#btnConsultar').show();
  $('#btnTitulo').hide();
  $('#btnLimpiarTodo').show();
  $('#conteGuardar').hide();
}

function toExcel() {
  $("#tablaResultado").excelexportjs({
    containerid: "tablaResultado",
    datatype: 'table',
    locale: 'es-AR'

  });
}